name: Deployment
on:
  push:
    branches:
      - master
jobs:
  install:
    name: Install
    runs-on: ubuntu-22.04
    steps:
      - name: Checkout
        uses: actions/checkout@v4
      - uses: oven-sh/setup-bun@v2
        with:
          bun-version-file: ".tool-versions"
      - name: Install
        run: bun install --frozen-lockfile
      - name: Login to Docker Hub
        uses: docker/login-action@v3
        with:
          registry: ${{ env.GITHUB_SERVER_URL }}
          username: ${{ env.GITHUB_REPOSITORY_OWNER }}
          password: ${{ env.GITHUB_TOKEN }}
      - name: Build and push
        uses: docker/build-push-action@v6
        with:
          push: true
          tags: git.palko.ca/${{ env.GITHUB_REPOSITORY_OWNER }}/api:latest
